Package com.oracle.truffle.api.dsl

## Annotation Type TypeSystemReference

    @Retention(CLASS)
    @Target(TYPE)
    public @interface TypeSystemReference

References a `TypeSystem` on a node. Must be applied on a `Node` class. At least one `TypeSystem` must be referenced in a `Node`'s type hierarchy.

See Also:
  `TypeSystem`, `Node`

### Required Element Summary

Required Elements
`java.lang.Class<?>` `value` The `TypeSystem` java type.

### Element Detail

#### value

    java.lang.Class<?> value

The `TypeSystem` java type.